[Top][All Lists]

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

RE: Subject: [libtool 2.1c] testsuite: 44 45 46 failed

From: Duft Markus
Subject: RE: Subject: [libtool 2.1c] testsuite: 44 45 46 failed
Date: Mon, 11 Feb 2008 09:53:30 +0100

Duft Markus <> wrote:
> Ralf Wildenhues <mailto:address@hidden> wrote:
>> You have several options to avoid this failure:
>> - find out why timestamps are not in the right order after   
>> libtoolize --ltdl=sub/ltdl 
>> (inside sub/ltdl, should come before aclocal.m4 should
>> come before configure and  This is a bug.  It seems
>> that has to do with your system's symlink semantics.
>> - upgrade to Automake 1.10 locally (your automake 1.9.6 gets run
>> accidentally by the test due to above timestamp messup.  This is
>> because having a toplevel package
>> - Fix your local automake 1.9.6 installation by using this patch:
> Ok Thanks. I will have a look at this. For Symlinks: i use cp -p
> instead of ln -s. can this cause the misbehaviour?
> For Automake: i have gentoo/alt-prefix portage installed as system, so
> i'm using whatever a corresponding linux for example would use. I now
> double checked, but it seems i have only one automake installed:
> These are the packages that would be merged, in order:
> Calculating dependencies... done!
> [ebuild   R   ] sys-devel/automake-1.10  0 kB
> Total: 1 package (1 reinstall), Size of downloads: 0 kB
> mduft build.libtool $ type automake
> automake is /opt/gentoo/usr/bin/automake
> mduft build.libtool $
> As for the patch for 1.9.6: i cannot find a 1.9.6 installation here. I
> will try and rebootstrap everything, but i have done this before
> running the testsuite as far as i remember....


This has to be a problem of every gentoo linux or gentoo/alt-prefix
installation on any host system: automake is a link to
which in turn looks at to find out which version of automake
to use. If there is no it uses the newest (1.10) .... Arg.
This means, that it will allways use 1.9.6 here, until 1.9.6 is
uninstalled from the system (yes i missed it before, it _is_ installed
of course...).

So of course this is not a libtool bug. I will talk to gentoo guys to
further follow this. Thanks for the help so far.

Cheers, Markus

> Cheers, Markus
>> Cheers,
>> Ralf
> _______________________________________________

reply via email to

[Prev in Thread] Current Thread [Next in Thread]